<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__dma__block__functions" kind="group">
    <compoundname>group_dma_block_functions</compoundname>
    <title>Block Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__dma__block__functions_1gad14b53935dc8321f395e49a7dfec2c5a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_DMA_Enable</definition>
        <argsstring>(DW_Type *base)</argsstring>
        <name>Cy_DMA_Enable</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Enables the DMA block. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Initialize<sp />a<sp />1D<sp />descriptor<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />DATACNT<sp />(8UL)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__descriptor__t">cy_stc_dma_descriptor_t</ref><sp />descriptor;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__descriptor__t">cy_stc_dma_descriptor_t</ref><sp />nextDescriptor;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />src[DATACNT];</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />dst[DATACNT];</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__descriptor__config__t">cy_stc_dma_descriptor_config_t</ref><sp />descriptor_cfg<sp />=<sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.<ref kindref="member" refid="structcy__stc__dmac__descriptor__config__t_1ab968eec67221ce9448bc3d7a51012232">retrigger</ref><sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga8ea649c82d5e7d4d4bd72403468aadeea0bf275b3b0a14445f5adb266865664ee">CY_DMA_RETRIG_IM</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.interruptType<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga46664f020f211baf0651e6c85c3c3e76ae49e9abd58d729c9875ce44e73b1b26b">CY_DMA_DESCR</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.triggerOutType<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga46664f020f211baf0651e6c85c3c3e76ae49e9abd58d729c9875ce44e73b1b26b">CY_DMA_DESCR</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.channelState<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga75740ce8bf02f62bc9e6c86307369f67a7f4266bff1786e17ba9b892ba03334db">CY_DMA_CHANNEL_ENABLED</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.triggerInType<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga46664f020f211baf0651e6c85c3c3e76ae49e9abd58d729c9875ce44e73b1b26b">CY_DMA_DESCR</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dataSize<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga167a5222a0d666c6ce9e8382e56ac192a06aa9f141fdba0572953b0ffe8972ccc">CY_DMA_WORD</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcTransferSize<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga2e6a1fad6945ca581ebd0fdbb8748314a559ffa18c8d6862e31c444eed54de51e">CY_DMA_TRANSFER_SIZE_WORD</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstTransferSize<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga2e6a1fad6945ca581ebd0fdbb8748314a559ffa18c8d6862e31c444eed54de51e">CY_DMA_TRANSFER_SIZE_WORD</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.descriptorType<sp />=<sp /><ref kindref="member" refid="group__group__dma__enums_1gga69516534f5a562e8a2f55bb4203851d0a7d12c181e7b926a71c7c30eb77ac8955">CY_DMA_1D_TRANSFER</ref>,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcAddress<sp />=<sp />&amp;src,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstAddress<sp />=<sp />&amp;dst,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcXincrement<sp />=<sp />1U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstXincrement<sp />=<sp />1U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.xCount<sp />=<sp />DATACNT,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.srcYincrement<sp />=<sp />0U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dstYincrement<sp />=<sp />0U,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.yCount<sp />=<sp />1UL,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.nextDescriptor<sp />=<sp />&amp;nextDescriptor,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__enums_1ggafbef983fffc7c7bb724322e8f64d32e5a5223359d0e1e316300e678afaa8cee96">CY_DMA_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__dma__descriptor__functions_1gab1610fab6f2dd5fd25c031ac0aa9d8cb">Cy_DMA_Descriptor_Init</ref>(&amp;descriptor,<sp />&amp;descriptor_cfg))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Setup<sp />and<sp />enable<sp />the<sp />DMA<sp />channel<sp />0<sp />of<sp />block<sp />DW0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__channel__config__t">cy_stc_dma_channel_config_t</ref><sp />channelConfig;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />channelConfig.<ref kindref="member" refid="structcy__stc__dma__channel__config__t_1aab3204617ecee2a57b1f76832966227d">preemptable</ref><sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />channelConfig.<ref kindref="member" refid="structcy__stc__dma__channel__config__t_1a018bbd8e3039b78ad16f9c0536dde3c0">enable</ref><sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />channelConfig.<ref kindref="member" refid="structcy__stc__dma__channel__config__t_1aa40017613f97a28e2802e072fdf38817">bufferable</ref><sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__enums_1ggafbef983fffc7c7bb724322e8f64d32e5a5223359d0e1e316300e678afaa8cee96">CY_DMA_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gab0beed3c05362206ac66fc4327d8964b">Cy_DMA_Channel_Init</ref>(DW0,<sp />0UL,<sp />&amp;channelConfig))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga4c5cca40de761c4b7827ce65538bf12d">Cy_DMA_Channel_SetDescriptor</ref>(DW0,<sp />0UL,<sp />&amp;descriptor);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gae088032ef5679610fdcbea8d1b4a3cd3">Cy_DMA_Channel_SetPriority</ref>(DW0,<sp />0UL,<sp />3UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga13e6923cafe660ba825ba6d5b1841bf7">Cy_DMA_Channel_Enable</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__block__functions_1gad14b53935dc8321f395e49a7dfec2c5a">Cy_DMA_Enable</ref>(DW0);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="611" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="608" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="498" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dma__block__functions_1gada1f6b4da0ec1e3c54c07173a1bd4357" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_DMA_Disable</definition>
        <argsstring>(DW_Type *base)</argsstring>
        <name>Cy_DMA_Disable</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Disables the DMA block. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Disable<sp />the<sp />DMA<sp />channel<sp />0<sp />of<sp />block<sp />DW0<sp />if<sp />it's<sp />priority<sp />equals<sp />3<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(3UL<sp />==<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga29e33eb65906b09e28669d62d2e1b546">Cy_DMA_Channel_GetPriority</ref>(DW0,<sp />0UL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0UL<sp />!=<sp /><ref kindref="member" refid="group__group__dma__block__functions_1ga20b7caf0e766daf03db12644c8dff173">Cy_DMA_GetActiveChannel</ref>(DW0))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga84ff3039034f39eb11962f19b1b2bae1">Cy_DMA_Channel_Disable</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gae2821469d78001afc568b0e484f684c1">Cy_DMA_Channel_DeInit</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />if<sp />needed<sp />(if<sp />there<sp />is<sp />only<sp />channel<sp />used)<sp />the<sp />whole<sp />block<sp />can<sp />be<sp />disabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__block__functions_1gada1f6b4da0ec1e3c54c07173a1bd4357">Cy_DMA_Disable</ref>(DW0);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="630" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="627" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="499" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dma__block__functions_1ga20b7caf0e766daf03db12644c8dff173" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_DMA_GetActiveChannel</definition>
        <argsstring>(DW_Type const *base)</argsstring>
        <name>Cy_DMA_GetActiveChannel</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the status of the active/pending channels. </para>        </briefdescription>
        <detaileddescription>
<para>the DMA block.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns a bit-field with all of the currently active/pending channels in the DMA block.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Disable<sp />the<sp />DMA<sp />channel<sp />0<sp />of<sp />block<sp />DW0<sp />if<sp />it's<sp />priority<sp />equals<sp />3<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(3UL<sp />==<sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga29e33eb65906b09e28669d62d2e1b546">Cy_DMA_Channel_GetPriority</ref>(DW0,<sp />0UL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0UL<sp />!=<sp /><ref kindref="member" refid="group__group__dma__block__functions_1ga20b7caf0e766daf03db12644c8dff173">Cy_DMA_GetActiveChannel</ref>(DW0))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1ga84ff3039034f39eb11962f19b1b2bae1">Cy_DMA_Channel_Disable</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__channel__functions_1gae2821469d78001afc568b0e484f684c1">Cy_DMA_Channel_DeInit</ref>(DW0,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />if<sp />needed<sp />(if<sp />there<sp />is<sp />only<sp />channel<sp />used)<sp />the<sp />whole<sp />block<sp />can<sp />be<sp />disabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__dma__block__functions_1gada1f6b4da0ec1e3c54c07173a1bd4357">Cy_DMA_Disable</ref>(DW0);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="654" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="651" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="500" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dma__block__functions_1gae006f881f9055741f51befe355c45747" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void *</type>
        <definition>__STATIC_INLINE void * Cy_DMA_GetActiveSrcAddress</definition>
        <argsstring>(DW_Type *base)</argsstring>
        <name>Cy_DMA_GetActiveSrcAddress</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the source address being used for the current transfer. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the pointer to the source of transfer.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Make<sp />sure<sp />the<sp />array<sp />is<sp />not<sp />in<sp />use<sp />before<sp />modifying<sp />the<sp />array<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />array[16];</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(((</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*)<sp />array<sp />!=<sp /><ref kindref="member" refid="group__group__dma__block__functions_1gae006f881f9055741f51befe355c45747">Cy_DMA_GetActiveSrcAddress</ref>(DW0))<sp />&amp;&amp;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*)<sp />array<sp />!=<sp /><ref kindref="member" refid="group__group__dma__block__functions_1ga92fd7171525f6265d6055b23f557674c">Cy_DMA_GetActiveDstAddress</ref>(DW0)))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Modify<sp />the<sp />array<sp />content<sp />here<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="676" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="673" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="501" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dma__block__functions_1ga92fd7171525f6265d6055b23f557674c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void *</type>
        <definition>__STATIC_INLINE void * Cy_DMA_GetActiveDstAddress</definition>
        <argsstring>(DW_Type *base)</argsstring>
        <name>Cy_DMA_GetActiveDstAddress</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the destination address being used for the current transfer. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the pointer to the destination of transfer.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Make<sp />sure<sp />the<sp />array<sp />is<sp />not<sp />in<sp />use<sp />before<sp />modifying<sp />the<sp />array<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />array[16];</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(((</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*)<sp />array<sp />!=<sp /><ref kindref="member" refid="group__group__dma__block__functions_1gae006f881f9055741f51befe355c45747">Cy_DMA_GetActiveSrcAddress</ref>(DW0))<sp />&amp;&amp;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*)<sp />array<sp />!=<sp /><ref kindref="member" refid="group__group__dma__block__functions_1ga92fd7171525f6265d6055b23f557674c">Cy_DMA_GetActiveDstAddress</ref>(DW0)))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Modify<sp />the<sp />array<sp />content<sp />here<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="698" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="695" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="502" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__dma__block__functions_1ga3ef821c63ecd6b0d33ded10db6ed618e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__dma__enums_1gafbef983fffc7c7bb724322e8f64d32e5">cy_en_dma_status_t</ref></type>
        <definition>cy_en_dma_status_t Cy_DMA_Crc_Init</definition>
        <argsstring>(DW_Type *base, cy_stc_dma_crc_config_t const *crcConfig)</argsstring>
        <name>Cy_DMA_Crc_Init</name>
        <param>
          <type><ref kindref="compound" refid="struct_d_w___type">DW_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__dma__crc__config__t">cy_stc_dma_crc_config_t</ref> const *</type>
          <declname>crcConfig</declname>
        </param>
        <briefdescription>
<para>Initializes the DMA CRC functionality. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hardware DMA block.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>crcConfig</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRC configuration structure <ref kindref="compound" refid="structcy__stc__dma__crc__config__t">cy_stc_dma_crc_config_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status /ref cy_en_dma_status_t.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Setup<sp />the<sp />CRC<sp />for<sp />DMA<sp />block<sp />DW0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__dma__crc__config__t">cy_stc_dma_crc_config_t</ref><sp />crcConfig<sp />=</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.<ref kindref="member" refid="structcy__stc__dma__crc__config__t_1acc5d2168ecef8a82b46614f861f0985c">dataReverse</ref><sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.dataXor<sp />=<sp />0x00000000UL,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.polynomial<sp />=<sp />0x04C11DB7UL,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.reminderReverse<sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.reminderXor<sp />=<sp />0x00000000UL,</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />.lfsrInitVal<sp />=<sp />0xFFFFFFFFUL</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__dma__enums_1ggafbef983fffc7c7bb724322e8f64d32e5a5223359d0e1e316300e678afaa8cee96">CY_DMA_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__dma__block__functions_1ga3ef821c63ecd6b0d33ded10db6ed618e">Cy_DMA_Crc_Init</ref>(DW0,<sp />&amp;crcConfig))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="66" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_dma.c" bodystart="48" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="503" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>